li {
  min-width: 10em;
}

.hide-actions-button {
  display: none !important;
}

[role="option"] span.actions {
  display: none;
}

[role="option"]:hover span.actions,
[role="listbox"]:focus [role="option"].focused span.actions {
  position: absolute;
  right: 0.5em;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3px;
  top: 0;
}

.contentRow {
  display: flex;
  width: 100%;
  overflow-x: auto;
}

.contentColumn {
  flex: 1;
  padding: 1rem;
  background-color: #f0f0f0;
}

.listbox-area h3 {
  font-weight: normal;
  color: var(--text);
  font-family: sans-serif;
  font-size: 1em;
  padding-bottom: 3px;
  margin-top: 0 !important;
}

.listbox-area ul {
  padding-top: 5px;
}

.detailPanel {
  min-height: 18em;
  border: 1px solid #aaa;
  background: white;
  height: 100%;
  width: 95%;
  margin-top: 0.15em;
}

.detailPanel.is-hidden {
  display: none;
}

button.actionButton {
  height: 2.2em;
  min-width: 1.75em;
  padding: 0 6px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #ccc;
  border-radius: 4px;
  background: #fff;
  cursor: pointer;
  background-color: buttonface;
  outline: 1px solid black;
}

button.actionButton.favorite {
  display: inline-block;
  border-radius: 5px;
  text-align: center;
  color: #222428;
  font-size: 14px;
  line-height: 2em;
  margin-right: 0.25em;
  margin-top: -7px;
  padding: 0 4px !important;
  height: 2.5em;
}

button.actionButton::before {
  content: "";
  display: block;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

button.actionButton.favorite::before {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 32px;
  width: 15px;
}

button.favorite {
  background-color: transparent;
  position: absolute;
  left: 15px;
  top: 7px;
  border: none;
  outline: none;
  margin-top: -5px;
}

button.uparrow::before {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 10 20' fill='none'%3E%3Cline x1='5' y1='18' x2='5' y2='4' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3Cline x1='2' y1='7' x2='5' y2='4' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3Cline x1='8' y1='7' x2='5' y2='4' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3C/svg%3E");
}

button.downarrow::before {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 10 20' fill='none'%3E%3Cline x1='5' y1='2' x2='5' y2='16' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3Cline x1='2' y1='13' x2='5' y2='16' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3Cline x1='8' y1='13' x2='5' y2='16' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3C/svg%3E");
}

button.uparrow::before,
button.downarrow::before {
  width: 10px;
  height: 18px;
}

button.favorite[aria-pressed="true"]::before,
button.favorite:not([aria-pressed])::before,
button.favorite[aria-pressed="false"]::before {
  font-size: 1.5em;
}

button.favorite[aria-pressed="true"]::before {
  content: "★" / "";
}

button.favorite:not([aria-pressed])::before,
button.favorite[aria-pressed="false"]::before {
  content: "☆" / "";
}

button.delete::before {
  width: 20px;
  height: 20px;
  margin: 0 -2px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20' fill='none'%3E%3Ccircle cx='10' cy='10' r='8' stroke='%23000' stroke-width='2'/%3E%3Cline x1='6.5' y1='6.5' x2='13.5' y2='13.5' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3Cline x1='13.5' y1='6.5' x2='6.5' y2='13.5' stroke='%23000' stroke-width='2' stroke-linecap='round'/%3E%3C/svg%3E");
}

[role="option"] {
  position: relative;
  display: block;
  line-height: 1.8em !important;
  cursor: pointer;
  margin: 2px 2px 2px 8px;
  padding: 2px 1em 2px 2.5em;
}

[role="option"] button.actionButton:hover {
  color: black !important;
  background-color: rgb(226 239 225);
  border-color: rgb(0 90 156);
  outline: #036 solid 3px !important;
  top: 7px;
  white-space: pre;
}

#ss_elem_list:focus button.focusedActionButton {
  color: black !important;
  background-color: rgb(226 239 225) !important;
  border-color: rgb(0 90 156);
  outline: #036 solid 3px !important;
  white-space: pre;
}

[role="option"][aria-selected="true"] span.favoriteOptionIndication::before {
  position: absolute;
  left: 1.2em;
  content: "";
}

[role="option"][aria-actions] span.favoriteOptionIndication::before {
  position: absolute;
  left: 1.4em;
  content: "☆" / "Favorite";
}

[role="option"][aria-actions].js-favoriteIndication
  span.favoriteOptionIndication::before {
  position: absolute;
  left: 1.4em;
  content: "★" / "Favorite";
}

[role="option"][aria-actions] span.js-selection::before {
  content: "" / "Favorite";
}

[role="option"][aria-actions] span.js-selection::before,
[role="option"][aria-selected="true"] span.js-selection::before {
  position: absolute;
  left: 0.2em;
}

[role="option"][aria-selected="true"] span.js-selection::before {
  content: "✓" / "Favorite";
  margin-top: 2px;
}

.listbox-area {
  display: block;
  padding: 20px;
  border-width: 1px;
  border-style: solid;
  border-color: rgb(170 170 170);
  border-image: initial;
  border-radius: 4px;
  background: rgb(238 238 238);
  max-width: 20em;
}
